Bug 22423 - Prevents installation of RedHat 7
Prevents installation of RedHat 7
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-17 13:41 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-18 11:45:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-17 13:41:11 EST
Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 279, in 
__call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 941, in 
upgradeFindPackages
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: MAKEDEV

Local variables in innermost frame:
self: <comps.HeaderList instance at 828cba8>
item: MAKEDEV

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dsS'tree'
p10
S'/tmp/hdimage/'
p11
sS'path'
p12
S'/linux'
p13
sS'device'
p14
S'hda2'
p15
sbsS'initlevel'
p16
I3
sS'progressWindow'
p17
NsS'expert'
p18
I0
sS'ddruidReadOnly'
p19
I0
sS'bootdisk'
p20
I0
sS'language'
p21
(itodo
Language
(dp22
S'abbrevMap'
p23
(dp24
S'es_ES'
p25
S'Spanish'
p26
sS'tr_TR'
p27
S'Turkish'
p28
sS'sr_YU'
p29
S'Serbian'
p30
sS'de_DE'
p31
S'German'
p32
sS'sk_SK'
p33
S'Slovak'
p34
sS'ru_RU.KOI8-R'
p35
S'Russian'
p36
sS'is_IS'
p37
S'Icelandic'
p38
sS'no_NO'
p39
S'Norwegian'
p40
sS'sv_SE'
p41
S'Swedish'
p42
sS'en_US'
p43
S'English'
p44
sS'it_IT'
p45
S'Italian'
p46
sS'da_DK'
p47
S'Danish'
p48
sS'cs_CZ'
p49
S'Czech'
p50
sS'uk_UA.KOI8-U'
p51
S'Ukrainian'
p52
sS'hu_HU'
p53
S'Hungarian'
p54
sS'fr_FR'
p55
S'French'
p56
sS'sl_SI'
p57
S'Slovenian'
p58
sS'ro_RO'
p59
S'Romanian'
p60
ssS'font'
p61
(dp62
g46
S'lat0-sun16'
sg30
S'cyr-sun16'
sg36
S'cyr-sun16'
sg44
S'None'
sg34
S'lat2-sun16'
sg40
S'lat0-sun16'
sg42
S'lat0-sun16'
sg56
S'None'
sg58
S'lat2-sun16'
sg60
S'lat2-sun16'
sg32
S'None'
sg28
S'lat5-sun16'
sg54
S'lat2-sun16'
sg26
S'None'
sg52
S'cyr-sun16'
sg50
S'lat2-sun16'
sg48
S'lat0-sun16'
sg38
S'lat0-sun16'
ssS'langs'
p63
(dp64
g46
g45
sg30
g29
sg36
g35
sg44
g43
sg34
g33
sg40
g39
sg42
g41
sg56
g55
sg58
g57
sg60
g59
sg32
g31
sg28
g27
sg54
g53
sg26
g25
sg52
g51
sg50
g49
sg48
g47
sg38
g37
ssS'info'
p65
(dp66
S'LANG'
p67
g43
ssS'map'
p68
(dp69
g46
S'iso15'
sg30
S'iso05'
sg36
S'koi8-r'
sg44
S'None'
sg34
S'iso02'
sg40
S'iso15'
sg42
S'iso15'
sg56
S'None'
sg58
S'iso02'
sg60
S'iso02'
sg32
S'None'
sg28
S'iso09'
sg54
S'iso02'
sg26
S'None'
sg52
S'koi8-u'
sg50
S'iso02'
sg48
S'iso15'
sg38
S'iso15'
ssS'lang'
p70
g43
sbsS'fstab'
p71
NsS'lilo'
p72
(ililo
LiloConfiguration
(dp73
S'liloDevice'
p74
S'mbr'
p75
sS'initrdsMade'
p76
(dsS'edd'
p77
I0
sS'default'
p78
NsS'liloImages'
p79
(dsS'liloLinear'
p80
I1
sS'liloAppend'
p81
S''
sbsS'comps'
p82
NsS'network'
p83
(itodo
Network
(dp84
S'netdevices'
p85
(dsS'gateway'
p86
S''
sS'secondaryNS'
p87
S''
sS'hostname'
p88
S'localhost.localdomain'
p89
sS'primaryNS'
p90
S''
sS'domains'
p91
(lsS'isConfigured'
p92
I0
sS'readData'
p93
I0
sS'ternaryNS'
p94
S''
sbsS'upgrade'
p95
I1
sS'instClass'
p96
(iinstallclass
DefaultInstall
p97
(dp98
S'rootPasswordCrypted'
p99
I0
sS'nameserver'
p100
S''
sS'x'
NsS'rootPassword'
p101
NsS'makeBootdisk'
p102
I0
sS'installType'
p103
NsS'postScript'
p104
NsS'earlySwapOn'
p105
I0
sS'networkDevice'
p106
NsS'clearText'
p107
Nsg72
(g75
I1
S''
tsg21
S'en_US'
p108
sS'name'
p109
S''
sS'postInChroot'
p110
I0
sS'pixmap'
p111
S''
sS'partitions'
p112
(lsS'clearType'
p113
Nsg86
S''
sS'mouse'
p114
NsS'packages'
p115
NsS'timezone'
p116
NsS'zeroMbr'
p117
I0
sS'keyboard'
p118
S'us-latin1'
p119
sS'groups'
p120
NsS'bootProto'
p121
NsS'netmask'
p122
S''
sS'raidList'
p123
(lsS'skipSteps'
p124
(dp125
g118
I1
sg21
I1
ssS'auth'
p126
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg88
Nsg71
(lsS'showgroups'
p127
NsS'ip'
p128
S''
sS'defaultRunlevel'
p129
NsS'desktop'
p130
S''
sS'clearPartText'
p131
NsS'clearParts'
p132
I0
sbsS'rootpassword'
p133
NsS'extraModules'
p134
(lp135
sg114
(imouse
Mouse
p136
(dp137
g14
S'ttyS0'
p138
sg65
(dp139
S'XMOUSETYPE'
p140
S'Microsoft'
p141
sS'FULLNAME'
p142
S'Generic - 2 Button Mouse (serial)'
p143
sS'MOUSETYPE'
p144
g141
ssS'emu'
p145
I0
sS'wasProbed'
p146
I1
sS'emulate'
p147
I1
sbsS'ddruidAlreadySaved'
p148
I0
sS'serial'
p149
I0
sg116
Nsg117
I0
sg118
(ikbd
Keyboard
(dp150
S'layout'
p151
NsS'model'
p152
NsS'type'
p153
S'PC'
p154
sg65
(dp155
S'KEYBOARDTYPE'
p156
S'pc'
p157
sS'KEYTABLE'
p158
g119
ssbsS'fdDevice'
p159
S'fd0'
p160
sS'installSystem'
p161
I1
sS'setupFilesystems'
p162
I1
sg126
(itodo
Authentication
(dp163
S'useNIS'
p164
I0
sS'nisServer'
p165
S''
sS'useLdap'
p166
I0
sS'krb5Kdc'
p167
S''
sS'useHesiod'
p168
I0
sS'ldapServer'
p169
S''
sS'nisDomain'
p170
S''
sS'krb5Realm'
p171
S''
sS'useLdapauth'
p172
I0
sS'hesiodRhs'
p173
S''
sS'useShadow'
p174
I1
sS'nisuseBroadcast'
p175
I0
sS'useKrb5'
p176
I0
sS'useMD5'
p177
I1
sS'ldapBasedn'
p178
S''
sS'krb5Admin'
p179
S''
sS'hesiodLhs'
p180
S''
sS'hesiodDlhs'
p181
S''
sbsg88
NsS'reconfigOnly'
p182
I0
sS'x'
(ixf86config
XF86Config
(dp183
S'monlist'
p184
(dsS'keyModel'
p185
S'pc101'
p186
sS'monids'
p187
(dsg14
NsS'monEisa'
p188
NsS'server'
p189
NsS'monHoriz'
p190
S'31.5'
p191
sS'devID'
p192
NsS'modes'
p193
(dp194
S'8'
(lp195
S'640x480'
p196
assS'keyOptions'
p197
S''
sS'keyVariant'
p198
S''
sS'monID'
p199
S'Unprobed Monitor'
p200
sS'keyLayout'
p201
S'us'
p202
sS'manualModes'
p203
(dsg114
g136
sS'keyRules'
p204
S'xfree86'
p205
sS'monVert'
p206
S'60'
p207
sS'cardMan'
p208
NsS'monSect'
p209
S''
sS'primary'
p210
I0
sS'vidRam'
p211
NsS'probed'
p212
I0
sS'monName'
p213
NsS'vidCards'
p214
(lsS'skip'
p215
I0
sS'files'
p216
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt"or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p217
sbsS'users'
p218
NsS'instPath'
p219
S'/mnt/sysimage'
p220
sS'intf'
p221
NsS'hdList'
p222
Nsb.
Comment 1 Michael Fulbright 2000-12-18 11:45:17 EST
Your hard drive image you were installing from contains corrupt or missing
files. Make sure you copied all the required files in a binary safe method.

Note You need to log in before you can comment on or make changes to this bug.